/// <reference types="node" />
import BN from "bn.js";
declare class TokenAccount {
    mint: Uint8Array;
    owner: Uint8Array;
    amount: BN;
    delegate: Uint8Array;
    state: number;
    is_native: BN;
    delegated_amount: BN;
    close_authority: Uint8Array;
    constructor(fields: {
        mint: Uint8Array;
        owner: Uint8Array;
        amount: BN;
        delegate: Uint8Array;
        state: number;
        is_native: BN;
        delegated_amount: BN;
        close_authroity: Uint8Array;
    });
}
export declare const deserializeTokenAccount: (tokenAccountData: Buffer) => TokenAccount;
export {};
